CHECON(3f)

NAME
CHECON - the reciprocal of the condition number of a complex Hermitian matrix A using the factorization A = U*D*U**H or A = L*D*L**H computed by CHETRF

SYNOPSIS

SUBROUTINE CHECON(
    UPLO, N, A, LDA, IPIV, ANORM, RCOND, WORK, INFO )

CHARACTER
    UPLO

INTEGER
    INFO, LDA, N

REAL
    ANORM, RCOND

INTEGER
    IPIV( * )

COMPLEX
    A( LDA, * ), WORK( * )

PURPOSE
CHECON estimates the reciprocal of the condition number of a complex Hermitian matrix A using the factorization A = U*D*U**H or A = L*D*L**H computed by CHETRF. An estimate is obtained for norm(inv(A)), and the reciprocal of the condition number is computed as RCOND = 1 / (ANORM * norm(inv(A))).

ARGUMENTS

UPLO    (input) CHARACTER*1
    Specifies whether the details of the factorization are stored as an upper or lower triangular matrix. = 'U': Upper triangular, form is A = U*D*U**H;
    = 'L': Lower triangular, form is A = L*D*L**H.

N       (input) INTEGER
    The order of the matrix A. N >= 0.

A       (input) COMPLEX array, dimension (LDA,N)
    The block diagonal matrix D and the multipliers used to obtain the factor U or L as computed by CHETRF.

LDA     (input) INTEGER
    The leading dimension of the array A. LDA >= max(1,N).

IPIV    (input) INTEGER array, dimension (N)
    Details of the interchanges and the block structure of D as determined by CHETRF.

ANORM   (input) REAL
    The 1-norm of the original matrix A.

RCOND   (output) REAL
    The reciprocal of the condition number of the matrix A, computed as RCOND = 1/(ANORM * AINVNM), where AINVNM is an estimate of the 1-norm of inv(A) computed in this routine.

WORK    (workspace) COMPLEX array, dimension (2*N)

INFO    (output) INTEGER
    = 0: successful exit
    < 0: if INFO = -i, the i-th argument had an illegal value